1.1

1.1

get /v1/hosted-zones

Description

Return list of hosted zones

상태 ACTIVE (DEPRECATED)

버전최소 지원 보장일
1.120260331

Parameters

TypeNameDescriptionSchemaDefault
queryname
optional
name
Example :
any of [string, null]None
queryexact_name
optional
name
Example :
any of [string, null]None
querytype
optional
Type of zone
Example :
any of [string, null]None
queryemail
optional
email
Example :
any of [string, null]None
querystatus
optional
The status
Example :
any of [string, null]None
querydescription
optional
description
Example :
any of [string, null]None
queryttl
optional
TTL for the zone.
Example :
any of [integer, null]None
querypage
optional
Page
Example : 0
any of [integer, null]0
querysize
optional
Size
Example : 20
any of [integer, null]20
querysort
optional
Sort
Example : name:asc
any of [string, null]name:asc

Responses

HTTP CodeDescriptionSchema
200OKHostedZoneListResponseV1Dot1
403ForbiddenNone

Example HTTP request

Request path

/v1/hosted-zones

Request header

"Scp-Accesskey = 2sd2gg=2agbdSD26svcD",
"Scp-Signature = fsfsdf235f9U35sdgf35Xsf/qgsdgsdg326=sfsdr23rsef=",
"Scp-Timestamp = 1605290625682",
"Scp-ClientType = Openapi",
"Accept-Language = ko-KR",
"Scp-Api-Version = dns 1.1"

Example HTTP response

Response 200

{
    "count": "",
    "hosted_zones": [
        {
            "action": "",
            "attributes": "",
            "created_at": "",
            "description": "",
            "email": "",
            "hosted_zone_type": "",
            "id": "",
            "links": "",
            "masters": [
                ""
            ],
            "name": "",
            "pool_id": "",
            "project_id": "",
            "serial": "",
            "shared": "",
            "status": "",
            "transferred_at": "",
            "ttl": "",
            "type": "",
            "updated_at": "",
            "version": ""
        }
    ],
    "links": [
        {
            "href": "http://scp.samsungsdscloud.com/v1/notices",
            "rel": "self"
        }
    ],
    "page": "",
    "size": "",
    "sort": ""
}